ServiceUnavailableException
Date: 2016-06-25

org.osgi.service.blueprint.container

## Class ServiceUnavailableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.osgi.framework.ServiceException
        - - org.osgi.service.blueprint.container.ServiceUnavailableException

- All Implemented Interfaces:
    java.io.Serializable

      public class ServiceUnavailableException
      extends org.osgi.framework.ServiceException

  A Blueprint exception indicating that a service is unavailable. This exception is thrown when an invocation is made on a service reference and a backing service is not available.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.osgi.framework.ServiceException

      `ASYNC_ERROR, FACTORY_ERROR, FACTORY_EXCEPTION, FACTORY_RECURSION, REMOTE, SUBCLASSED, UNREGISTERED, UNSPECIFIED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceUnavailableException(java.lang.String message, java.lang.String filter)` Creates a Service Unavailable Exception with the specified message.
    `ServiceUnavailableException(java.lang.String message, java.lang.String filter, java.lang.Throwable cause)` Creates a Service Unavailable Exception with the specified message and exception cause.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFilter()` Returns the filter expression that a service would have needed to satisfy in order for the invocation to proceed.

    - ### Methods inherited from class org.osgi.framework.ServiceException

      `getType`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceUnavailableException

          public ServiceUnavailableException(java.lang.String message,
                                     java.lang.String filter)

      Creates a Service Unavailable Exception with the specified message.
      Parameters:
        `message` - The associated message.
        `filter` - The filter used for the service lookup.

    - #### ServiceUnavailableException

          public ServiceUnavailableException(java.lang.String message,
                                     java.lang.String filter,
                                     java.lang.Throwable cause)

      Creates a Service Unavailable Exception with the specified message and exception cause.
      Parameters:
        `message` - The associated message.
        `filter` - The filter used for the service lookup.
        `cause` - The cause of this exception.

  - ### Method Detail

    - #### getFilter

          public java.lang.String getFilter()

      Returns the filter expression that a service would have needed to satisfy in order for the invocation to proceed.
      Returns:
        The failing filter.